#define ERR			-1
#define END			-1
#define MAXLEXBUFFER 512

/*                             Lista de Tokens                  */


/* Keyword 1 - 49 */
#define TK_KEYWORD_IF			1
#define TK_KEYWORD_ELSE			2
#define TK_KEYWORD_RETURN		3
#define TK_KEYWORD_WHILE		4
#define TK_KEYWORD_DO			5
#define TK_KEYWORD_FOR			6
#define TK_KEYWORD_SWITCH		7
#define TK_KEYWORD_CASE			8

/* Identifier 50 - 69 */
#define TK_ID					50
#define TK_ID_VARIABLE			51
#define TK_ID_FUNCTION			52
#define TK_ID_DATATYPE			53
#define TK_ID_LABEL				54

/* Constant 70 - 89 */
#define TK_CONS					70
#define TK_CONS_CHARACTER		71
#define TK_CONS_INTEGER			72
#define TK_CONS_FLOATING		73
#define TK_CONS_STRING			74

/* Operator 90 - 139*/
/* 91 - 100 */
#define TK_COMP					90
#define TK_OPERATOR_MAY			91
#define TK_OPERATOR_MEN			92
#define TK_OPERATOR_MAYI		93
#define TK_OPERATOR_MENI		94
#define TK_OPERATOR_II			95
#define TK_OPERATOR_DIS			96

/* 100 - 109 */
#define TK_OPERATOR_AND			101
#define TK_OPERATOR_OR			102

/* 110 - 119 */
#define TK_ARIT					110
#define TK_OPERATOR_IGUAL		111
#define TK_OPERATOR_MAS			112
#define TK_OPERATOR_MENOS		113
#define TK_OPERATOR_DIV			114
#define TK_OPERATOR_POR			115
#define TK_OPERATOR_PORC		116

/* Puntuactor 140 - 159*/
#define TK_PUNT_LLA				141
#define TK_PUNT_LLC				142
#define TK_PUNT_PA				143
#define TK_PUNT_PC				144
#define TK_PUNT_CA				145
#define TK_PUNT_CC				146
#define TK_PUNT_DOSP			147

/* Error 200 - */
#define TK_ERROR				200
