/* Matriz.h */


/* Rutinas semnticas */
int OnVar(char c);               // Al leer un identificador
int OnCons(char c);              // Al leer una constante
int OnEndC(char c);              // Al terminar de leer una constante
int OnComp(char c);              // Al leer un comparador
int OnNull(char c);              // Utilizada cuando no hay acciones que realizar
int OnRWrd(char c);              // Al terminar de leer un identifivador, chequea por las palabras reservadas
int OnStr(char c);               // Al leer un string
int OnEndS(char c);              // Al terminar de leer un string

/*                               Letra     Digito    /         *         <, >, =   \t, ' '   \n        "         \         */
int newState[8][9] = {
                   /* Inicial */ {1,       2,        3,        6,        6,        0,        0,        7,        END},
             /* Identificador */ {1,       1,        END,      END,      END,      END,      END,      END,      END},
                 /* Constante */ {END,     2,        END,      END,      END,      END,      END,      END,      END},
                /* Comparador */ {END,     END,      END,      4,        6,        END,      END,      END,      END},
        /* Posible comentario */ {4,       4,        4,        5,        4,        4,        4,        4,        4},
                /* Comentario */ {4,       4,        0,        5,        4,        4,        4,        4,        4},
 /* Posible fin de comentario */ {END,     END,      END,      END,      END,      END,      END,      END,      END},
                    /* String */ {7,       7,        7,        7,        7,        7,        7,        END,      7}};


/*                               Letra     Digito    /         *         <, >, =   \t, ' '   \n        "         \         */
int (*pfSemRut[8][9])(char) = {
                   /* Inicial */ {OnVar,   OnNull,   OnNull,   OnNull,   OnNull,   OnNull,   OnNull,   OnNull,   OnNull},
             /* Identificador */ {OnVar,   OnVar,    OnRWrd,   OnRWrd,   OnRWrd,   OnRWrd,   OnRWrd,   OnRWrd,   OnRWrd},
                 /* Constante */ {OnEndC,  OnCons,   OnEndC,   OnEndC,   OnEndC,   OnEndC,   OnEndC,   OnEndC,   OnEndC},
                /* Comparador */ {OnNull,  OnNull,   OnNull,   OnNull,   OnNull,   OnNull,   OnNull,   OnNull,   OnNull},
        /* Posible comentario */ {OnNull,  OnNull,   OnNull,   OnNull,   OnNull,   OnNull,   OnNull,   OnNull,   OnNull},
                /* Comentario */ {OnNull,  OnNull,   OnNull,   OnNull,   OnNull,   OnNull,   OnNull,   OnNull,   OnNull},
 /* Posible fin de comentario */ {OnComp,  OnComp,   OnComp,   OnComp,   OnComp,   OnComp,   OnComp,   OnComp,   OnComp},
                    /* String */ {OnStr,   OnStr,    OnStr,    OnStr,    OnStr,    OnStr,    OnStr,    OnEndS,   OnStr}};
